<!DOCTYPE html>
<html>
    <head>  
        <link href="{{ asset('build/app.css') }}" rel="stylesheet"/>
        <title>Connexion</title>
        {# <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"> #}
    </head>
    <body>
        <h1 class="h3 mb-3 font-weight-normal h1-login">Connectez-vous</h1>
        <div class="container container-form-login">
            <form method="post">
                {% if error %}
                    <div class="alert alert-danger alert-identifiant-invalide">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}

                {% if error_verified %}
                    <div class="alert alert-danger alert-identifiant-invalide">Veuillez confirmer l'adresse mail de votre compte</div>
                {% endif %}

                {% if app.user %}
                    <div class="mb-3">
                        Vous êtes connecté en tant que {{ app.user.username }}, <a href="{{ path('app_logout') }}">Déconnexion</a>
                    </div>
                {% endif %}

                <label for="inputEmail">Email</label>
                <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
                <label for="inputPassword">Mot de passe</label>
                <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
                <input type="hidden" name="_target_path" value="{{ back_to_your_page }}"/>
                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                <button class="btn-submit-login" type="submit">Se connecter</button>
            </form>

            <div class="link-forgotten-password">
                <a href="{{ path('app_forgotten_password') }}">Mot de passe oublié ?</a><br />
            </div>
        </div>
        <div class="container-link-register">
            <span>Créer un nouveau compte ?</span>  
            <a href="/register" class="link-register">S'inscrire</a>    
        </div>
    </body>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
     <script>
        {% for type, messages in app.flashes() %}
            {% for message in messages %}
                M.toast({html: '{{ message }}', classes: '{{ type }}'});
            {% endfor %}
        {% endfor %}
        localStorage.clear();
    </script>
</html>



